curl -X POST https://sim.rotastellar.com/v1/sessions \
-H "Content-Type: application/json" \
-d '{
"satellites": [
{
"id": "sat-001",
"name": "RS-LEO-1",
"elements": { "altitude_km": 550, "inclination_deg": 53 }
},
{
"id": "sat-002",
"name": "RS-LEO-2",
"elements": { "altitude_km": 550, "inclination_deg": 53 }
},
{
"id": "sat-003",
"name": "RS-LEO-3",
"elements": { "altitude_km": 600, "inclination_deg": 97.4 }
}
]
}'
{
"session_id": "ses_abc123",
"satellites": 3,
"created_at": "2026-03-10T12:00:00Z"
}
Creates a new simulation session with the given satellite constellation
curl -X POST https://sim.rotastellar.com/v1/sessions \
-H "Content-Type: application/json" \
-d '{
"satellites": [
{
"id": "sat-001",
"name": "RS-LEO-1",
"elements": { "altitude_km": 550, "inclination_deg": 53 }
},
{
"id": "sat-002",
"name": "RS-LEO-2",
"elements": { "altitude_km": 550, "inclination_deg": 53 }
},
{
"id": "sat-003",
"name": "RS-LEO-3",
"elements": { "altitude_km": 600, "inclination_deg": 97.4 }
}
]
}'
{
"session_id": "ses_abc123",
"satellites": 3,
"created_at": "2026-03-10T12:00:00Z"
}
https://sim.rotastellar.com
ā No API key required.curl -X POST https://sim.rotastellar.com/v1/sessions \
-H "Content-Type: application/json" \
-d '{
"satellites": [
{
"id": "sat-001",
"name": "RS-LEO-1",
"elements": { "altitude_km": 550, "inclination_deg": 53 }
},
{
"id": "sat-002",
"name": "RS-LEO-2",
"elements": { "altitude_km": 550, "inclination_deg": 53 }
},
{
"id": "sat-003",
"name": "RS-LEO-3",
"elements": { "altitude_km": 600, "inclination_deg": 97.4 }
}
]
}'
{
"session_id": "ses_abc123",
"satellites": 3,
"created_at": "2026-03-10T12:00:00Z"
}